Welcome to 3DCADForums

Join our CAD community forums where over 25,000 users interact to solve day to day problems and share ideas. We encourage you to visit, invite you to participate and look forward to your input and opinions. Acrobat 3D, AutoCAD, Catia, Inventor, IronCAD, Creo, Pro/ENGINEER, Solid Edge, SolidWorks, and others.

Register Log in

Reference dimensions in Drafting

el-mariachi

New member
(note: I am only a week into using Catia)

I have looked through every tool bar and properties and I cannot find where to change a dimension to reference other than manually adding parenthesis in front and after the dimension

There has to be a better/easier way
 

MrCATIA

Super Moderator
As you use CATIA more and more you will learn how great and powerful it is as a 3D modeler and yet how weak CATIA V5 is for drafting

CATIA V5 has no capability to make a dimension reference - you have to type in a parenthesis before and after the value.

I've noticed some users have a little macro that will add the parenthesis. If I can find it, I'll add something to this thread.
 
Last edited:

el-mariachi

New member
As you use CATIA more and more you will learn how great and powerful it is as a 3D modeler and yet how weak it is for drafting

CATIA V5 has no capability to make a dimension reference - you have to type in a parenthesis before and after the value.

I've noticed some users have a little macro that will add the parenthesis. If I can find it, I'll add something to this thread.
I am starting to see what you mean about the drafting
 

MrCATIA

Super Moderator
I found the macro program. Jus copy&paste the code below into a new macro on your system:

======

Sub CATMain()

Dim MySel As Selection
Set MySel = CATIA.ActiveDocument.Selection

Dim MyDim As DrawingDimension
Dim Array1 As String
Dim Array2 As String
Dim Array3 As String
Dim Array4 As String
For i = 1 To MySel.Count
If TypeName(MySel.Item(i).Value) = "DrawingDimension" Then
Set MyDim = MySel.Item(i).Value
MyDim.GetValue.GetBaultText 1,Array1,Array2,Array3,Array4
MyDim.GetValue.SetBaultText 1, "(", ")",Array3,Array4
End If
Next

End Sub

======

The code above was written by Fernando.

https://www.eng-tips.com/viewthread.cfm?qid=328045
 

el-mariachi

New member
I found the macro program. Jus copy&paste the code below into a new macro on your system:

======

Sub CATMain()

Dim MySel As Selection
Set MySel = CATIA.ActiveDocument.Selection

Dim MyDim As DrawingDimension
Dim Array1 As String
Dim Array2 As String
Dim Array3 As String
Dim Array4 As String
For i = 1 To MySel.Count
If TypeName(MySel.Item(i).Value) = "DrawingDimension" Then
Set MyDim = MySel.Item(i).Value
MyDim.GetValue.GetBaultText 1,Array1,Array2,Array3,Array4
MyDim.GetValue.SetBaultText 1, "(", ")",Array3,Array4
End If
Next

End Sub

======

The code above was written by Fernando.

https://www.eng-tips.com/viewthread.cfm?qid=328045
Great thank you!
 

Sponsor

Top